﻿:root {
    --ck-z-default: 30060;

    --ecm-medium-z-index: 20060;
    --ecm-high-z-index: 40060;
    --ecm-top-z-index: 99999999;

    --ecm-accordion-bg: #f3f5f9;
    --ecm-menu-blue: var(--ecm-blue-ink);

    --ecm-white: #ffffff;
    --ecm-black: #000000;
    --ecm-grey-5: #fafafa;
    --ecm-grey-10: #f5f5f5;
    --ecm-grey-20: #eeeeee;
    --ecm-grey-30: #e0e0e0;
    --ecm-grey-40: #bbbbbb;
    --ecm-grey-50: #9e9e9e;
    --ecm-grey-60: #707070;
    --ecm-grey-70: #616161;
    --ecm-grey-80: #424242;
    --ecm-grey-90: #212121;
    --ecm-grey-cloud: #edeef0;
    --ecm-grey-lavender: #b5b5c3;

    --ecm-red: #d32f2f;
    --ecm-red-softer: #fdebeb;
    --ecm-red-salmon: #fb8080;
    --ecm-red-pink: #e08283;
    --ecm-red-haze: #f36a5a;
    --ecm-red-soft: #d05454;
    --ecm-red-sunglo: #e26a6a;
    --ecm-red-flamingo: #ef4836;
    --ecm-red-mint: #e43a45;
    --ecm-red-intense: #e35b5a;
    --ecm-red-thunderbird: #d91e18;
    --ecm-red-ember: #4d1616;

    --ecm-orange: #ffc374;
    --ecm-orange-peach-puff: #fff3e3;
    --ecm-orange-light: #ffe0b2;
    --ecm-orange-soft: #ffd8a8;
    --ecm-orange-muted: #fcbf81;
    --ecm-orange-dark: #ff9800;
    --ecm-orange-burnt: #e07b39;

    --ecm-yellow: #c49f47;
    --ecm-yellow-saffron: #f4d03f;
    --ecm-yellow-lemon: #f7ca18;
    --ecm-yellow-crusta: #f3c200;
    --ecm-yellow-casablanca: #f2784b;
    --ecm-yellow-gold: #e87e04;
    --ecm-yellow-soft: #c8d046;
    --ecm-yellow-haze: #c5bf66;
    --ecm-yellow-mint: #c5b96b;
    --ecm-yellow-ochre: #4a3e10;

    --ecm-green: #32c5d2;
    --ecm-green-softer: #ebf9eb;
    --ecm-green-snow: #e6f7e5;
    --ecm-green-ice: #d2f5ea;
    --ecm-green-mint: #71c26e;
    --ecm-green-jade: #23bd8d;
    --ecm-green-dark: #4caf50;
    --ecm-green-soft: #3faba4;
    --ecm-green-jungle: #26c281;
    --ecm-green-meadow: #1bbc9b;
    --ecm-green-seagreen: #1ba39c;
    --ecm-green-haze: #44b6ae;
    --ecm-green-steel: #29b4b6;
    --ecm-green-sharp: #2ab4c0;
    --ecm-green-turquoise: #36d7b7;
    --ecm-green-basil: #193d18;

    --ecm-blue: #3276b5;
    --ecm-blue-whisper: #f8fafb;
    --ecm-blue-cloudy: #e7f2ff;
    --ecm-blue-mist: #ebf2fa;
    --ecm-blue-sky: #afd3fc;
    --ecm-blue-light-sky: #8fb4d8;
    --ecm-blue-alice: #f4f7f9;
    --ecm-blue-ocean: #36abd9;
    --ecm-blue-turquoise: #31b2c0;
    --ecm-blue-sharp: #b7d3eb;
    --ecm-blue-soft: #4c87b9;
    --ecm-blue-steel: #4b77be;
    --ecm-blue-madison: #578ebe;
    --ecm-blue-hoki: #67809f;
    --ecm-blue-dark: #5e738b;
    --ecm-blue-oleo: #94a0b2;
    --ecm-blue-chambray: #2c3e50;
    --ecm-blue-ebonyclay: #22313f;
    --ecm-blue-ink: #1c4265;
    --ecm-blue-midnight-teal: #0a1a24;
    --ecm-blue-aquamarine: #d7eef7;
    --ecm-blue-glacier: #e3fbff;

    --ecm-purple: #6121cf;
    --ecm-purple-mist: #f4f1fb;
    --ecm-purple-orchid: #9663ed;
    --ecm-purple-medium: #bf55ec;
    --ecm-purple-soft: #8877a9;
    --ecm-purple-intense: #8775a7;
    --ecm-purple-sharp: #796799;
    --ecm-purple-wisteria: #9b59b6;
    --ecm-purple-studio: #8e44ad;
    --ecm-purple-seance: #9a12b3;
}

body {
    background-color: var(--ecm-blue-mist) !important;
}

body.error {
    background-color: var(--ecm-red-softer) !important;
}

.page-container {
    width: calc(100vw - 6px);
    height: 100vh;
}

.page-container > .page-content-wrapper,
.page-container > .page-content-wrapper > .page-content {
    height: 100%;
}

.no-scroll {
    overflow: hidden !important;
}

.tooltip {
    z-index: var(--ecm-top-z-index);
}

.ecm--page-fullscreen {
    overflow: hidden;
}

.ecm--fullscreen {
    z-index: var(--ecm-medium-z-index);
    position: fixed;
    margin: 0;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    border-radius: 0 !important;
}

.ck-editor__editable {
    min-height: 450px;
}

#ckeditor_container {
    display: none !important;
}

.cke_button_icon.cke_button__ellosmodelo_icon,
.cke_button_icon.cke_button__ellosmodeloprint_icon,
.cke_button_icon.cke_button__ellosmodelocreate_icon {
    display: none;
}

.cke_button_label.cke_button__ellosmodelo_label,
.cke_button_label.cke_button__ellosmodeloprint_label,
.cke_button_label.cke_button__ellosmodelocreate_label {
    display: inline-block;
}

.modal-open .datetimepicker,
.datetimepicker {
    z-index: var(--ecm-high-z-index) !important;
}

div.dataTables_wrapper div.dataTables_filter label,
div.dataTables_wrapper div.dataTables_length label {
    white-space: normal;
}

.modal-open .select2-dropdown,
.select2-dropdown {
    z-index: var(--ecm-high-z-index);
}

.select2-dropdown.select2--borderless,
.select2-selection.select2--borderless {
    border: none;
}

.modal-flex--dialog {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.modal-flex--dialog .modal-content {
    width: 60%;
}

.form-control.has-required,
.form-control.has-required ~ .cke,
.form-control.has-required ~ .btn-group .multiselect,
.form-control.has-required.input--checkbox ~ span,
.form-control:invalid,
.has-required.input--arquivo {
    border-color: #e73d4a;
}

.has-required.input--arquivo.campo--default {
    background-color: #e73d4a;
}

.control-label-hint {
    margin-left: .2rem;
    font-size: 12px;
}

.no-padding {
    padding: 0 !important;
}

.no-padding-bottom {
    padding-bottom: 0 !important;
}

.no-padding-top {
    padding-top: 0 !important;
}

.btn-group .dropdown-toggle:active,
.btn-group.open .dropdown-toggle {
    box-shadow: none;
}
#arvore_categorias {
    font-size: 1.2rem;
    height: auto;
    max-height: 65vh;
    overflow: auto;
    min-height: 100px;
}

.cursor--auto {
    cursor: auto !important;
}

.cursor--pointer {
    cursor: pointer !important;
}
.ecm--truncate {
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 1;
    -webkit-box-orient: vertical;
}

.ecm--truncate-2x {
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
}

.ecm--truncate-3x {
    display: -webkit-box;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}

.input--search {
    display: inline-flex;
    align-items: center;
    justify-content: center;
}

.input--search .input-search--icon {
    position: relative;
    right: -20px;
    font-size: 12px;
    color: var(--ecm-blue-dark);
}

.input--search .input-search--text {
    width: 100%;
    border-radius: 5px;
    border: none;
    box-shadow: 0px 2px 7px 1px rgb(94 94 94 / 25%);
    padding: 5px 1rem 5px 3rem;
    height: 25px;
    text-align: center;
    outline: none;
    font-size: 12px;
    font-weight: 600;
    color: var(--ecm-blue-dark);
}

.input--search input::-webkit-input-placeholder,
.input--search input:-moz-placeholder,
.input--search input::-moz-placeholder,
.input--search input:-ms-input-placeholder {
    color: var(--ecm-blue-dark);
}

.input--search .input-search--icon:has(+ input:focus) {
    color: var(--ecm-grey-40);
}

.input--search input:focus::-webkit-input-placeholder {
    color: var(--ecm-grey-40);
}

.input--search input:focus:-moz-placeholder {
    color: var(--ecm-grey-40);
}

.input--search input:focus::-moz-placeholder {
    color: var(--ecm-grey-40);
}

.input--search input:focus:-ms-input-placeholder {
    color: var(--ecm-grey-40);
}

.no-margin-bottom {
    margin-bottom: 0 !important;
}

.datetimepicker.dropdown-menu {
    z-index: var(--ecm-high-z-index) !important;
}
.campo--sequencial-lista {
    display: flex;
    flex-direction: row;
}

.campo--sequencial-lista > input {
    flex: 1;
    min-width: 180px;
}

.cp--modal-departamentos {
    overflow: auto;
    height: 100%;
    max-height: 60vh;
    margin-bottom: 2rem;
}

.jconfirm .jconfirm-box {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.jconfirm .jconfirm-box div.jconfirm-content-pane {
    text-align: center;
}

.jconfirm.jconfirm-white .jconfirm-box .jconfirm-buttons, .jconfirm.jconfirm-light .jconfirm-box .jconfirm-buttons {
    float: none;
    display: flex;
}

.select2-results__group {
    padding: 6px !important;
}

.ecm-red {
    color: var(--ecm-red);
}

.ecm-white {
    color: var(--ecm-white);
}

.ecm-grey-5 {
    color: var(--ecm-grey-5);
}

.ecm-grey-10 {
    color: var(--ecm-grey-10);
}

.ecm-grey-20 {
    color: var(--ecm-grey-20);
}

.ecm-grey-30 {
    color: var(--ecm-grey-30);
}

.ecm-grey-40 {
    color: var(--ecm-grey-40);
}

.ecm-grey-50 {
    color: var(--ecm-grey-50);
}

.ecm-grey-60 {
    color: var(--ecm-grey-60);
}

.ecm-grey-70 {
    color: var(--ecm-grey-70);
}

.ecm-grey-80 {
    color: var(--ecm-grey-80);
}

.ecm-grey-90 {
    color: var(--ecm-grey-90);
}

.ecm-black {
    color: var(--ecm-black);
}

.ecm-blue {
    color: var(--ecm-blue);
}

.ecm-blue-hoki {
    color: var(--ecm-blue-hoki);
}

.ecm-blue-soft {
    color: var(--ecm-blue-soft);
}

.ecm-blue-dark {
    color: var(--ecm-blue-dark);
}

.ecm-blue-oleo {
    color: var(--ecm-blue-oleo);
}

.ecm-blue-steel {
    color: var(--ecm-blue-steel);
}

.ecm-blue-sharp {
    color: var(--ecm-blue-sharp);
}

.ecm-blue-madison {
    color: var(--ecm-blue-madison);
}

.ecm-blue-chambray {
    color: var(--ecm-blue-chambray);
}

.ecm-blue-ebonyclay {
    color: var(--ecm-blue-ebonyclay);
}

.ecm-blue-whisper {
    color: var(--ecm-blue-whisper);
}

.ecm-blue-ink {
    color: var(--ecm-blue-ink);
}

.ecm-blue-mist {
    color: var(--ecm-blue-mist);
}

.ecm-menu-blue {
    color: var(--ecm-menu-blue);
}

.ecm-purple {
    color: var(--ecm-purple);
}

.ecm-purple-plum {
    color: var(--ecm-purple-plum);
}

.ecm-purple-medium {
    color: var(--ecm-purple-medium);
}

.ecm-purple-studio {
    color: var(--ecm-purple-studio);
}

.ecm-purple-wisteria {
    color: var(--ecm-purple-wisteria);
}

.ecm-purple-seance {
    color: var(--ecm-purple-seance);
}

.ecm-purple-intense {
    color: var(--ecm-purple-intense);
}

.ecm-purple-sharp {
    color: var(--ecm-purple-sharp);
}

.ecm-purple-soft {
    color: var(--ecm-purple-soft);
}

.ecm-red-pink {
    color: var(--ecm-red-pink);
}

.ecm-red-sunglo {
    color: var(--ecm-red-sunglo);
}

.ecm-red-intense {
    color: var(--ecm-red-intense);
}

.ecm-red-thunderbird {
    color: var(--ecm-red-thunderbird);
}

.ecm-red-flamingo {
    color: var(--ecm-red-flamingo);
}

.ecm-red-soft {
    color: var(--ecm-red-soft);
}

.ecm-red-haze {
    color: var(--ecm-red-haze);
}

.ecm-red-mint {
    color: var(--ecm-red-mint);
}

.ecm-green {
    color: var(--ecm-green);
}

.ecm-green-meadow {
    color: var(--ecm-green-meadow);
}

.ecm-green-seagreen {
    color: var(--ecm-green-seagreen);
}

.ecm-green-turquoise {
    color: var(--ecm-green-turquoise);
}

.ecm-green-haze {
    color: var(--ecm-green-haze);
}

.ecm-green-jungle {
    color: var(--ecm-green-jungle);
}

.ecm-green-soft {
    color: var(--ecm-green-soft);
}

.ecm-green-dark {
    color: var(--ecm-green-dark);
}

.ecm-green-sharp {
    color: var(--ecm-green-sharp);
}

.ecm-green-steel {
    color: var(--ecm-green-steel);
}

.ecm-yellow {
    color: var(--ecm-yellow);
}

.ecm-yellow-gold {
    color: var(--ecm-yellow-gold);
}

.ecm-yellow-casablanca {
    color: var(--ecm-yellow-casablanca);
}

.ecm-yellow-crusta {
    color: var(--ecm-yellow-crusta);
}

.ecm-yellow-lemon {
    color: var(--ecm-yellow-lemon);
}

.ecm-yellow-saffron {
    color: var(--ecm-yellow-saffron);
}

.ecm-yellow-soft {
    color: var(--ecm-yellow-soft);
}

.ecm-yellow-haze {
    color: var(--ecm-yellow-haze);
}

.ecm-yellow-mint {
    color: var(--ecm-yellow-mint);
}

.titulo-com-icone {
    display: flex;
    align-items: center;
    column-gap: 5px;
}
.html-preview {
    max-width: 300px;
    max-height: 200px;
    overflow: hidden;
    background-color: white;
    border: solid 1px var(--ecm-grey-50);
    padding: 10px;
}
.table--scrollable {
    position: relative;
    overflow-y: scroll;
}
.table--scrollable table thead {
    position: sticky;
    top: 0;
}
.d-flex {
    display: flex;
}
.d-flex.justify-content-center {
    justify-content: center;
}
.d-flex.align-items-center {
    align-items: center;
}
.d-flex.flex-column {
    flex-direction: column;
}
.d-flex.flex-wrap {
    flex-wrap: wrap;
}
.d-flex.gap-1 {
    gap: 1rem;
}
.d-flex.gap-2 {
    gap: 2rem;
}
.d-flex.gap-3 {
    gap: 3rem;
}
.d-flex.gap-4 {
    gap: 4rem;
}
.d-flex.gap-5 {
    gap: 5rem;
}
.d-flex .flex-grow {
    flex-grow: 1;
}
.d-flex.justify-content-space-between {
    justify-content: space-between;
}
.m-0 {
    margin: 0;
}
.margin-left-auto {
    margin-left: auto;
}
.w-100 {
    width: 100%;
}
.custom-switch {
    margin: 0;
    padding: 0;
    overflow: hidden;
    aspect-ratio: 1 / 1;
    width: auto;
    cursor: pointer;
}
.custom-switch .control {
    display: none;
}
.custom-switch .switch {
    display: flex;
    width: 200%;
    height: 100%;
    transition: all .5s ease-in-out;
}
.custom-switch .control:checked + .switch {
    transform: translateX(-50%);
}
.custom-switch .switch i {
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
    color: white;
}

.js-confirm--no-overflow,
.js-confirm--no-overflow .jconfirm-content-pane,
.js-confirm--no-overflow .jconfirm-content {
    overflow: visible !important;
}

.js-confirm--menu-title .jconfirm-title-c,
.js-confirm--menu-title .jconfirm-title {
    width: 100%;
}

.jconfirm-buttons--right .jconfirm-buttons {
    width: 100%;
    justify-content: flex-end;
}

.jconfirm .jconfirm-box.jconfirm-type-purple {
    border-top-color: var(--ecm-purple-orchid) !important;
}

/** ECM ACCESSIBILITY **/

.ecm-accessibility--highcontrast .base,
.ecm-accessibility--highcontrast .base .divisao-direita .painel {
    background-color: black;
}

.ecm-accessibility--highcontrast .base .divisao-direita .painel {
    border: 1px solid white;
}
